
upstream twong_cs{
    server 127.0.0.1:30001;
}

server {
    listen 443;
    ssl on;
    ssl_certificate /etc/letsencrypt/live/twongkefu.shotshock.shop/fullchain.pem;
    ssl_certificate_key /etc/letsencrypt/live/twongkefu.shotshock.shop/privkey.pem;
    ssl_protocols TLSv1 TLSv1.1 TLSv1.2;
    server_tokens off;
    server_name twongkefu.shotshock.shop;

    location / {
        proxy_pass http://twong_cs;
        proxy_http_version 1.1;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header Upgrade $http_upgrade;
        proxy_set_header Connection "upgrade";
        #proxy_set_header Origin "";
    }
}
